Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network33.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
33.136.0.0
Broadcast address
33.143.255.255
First usable
33.136.0.1
Last usable
33.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 21880000 · Integer 562561024 to 563085311
Reverse DNS zones
136.33.in-addr.arpa
137.33.in-addr.arpa
138.33.in-addr.arpa
139.33.in-addr.arpa
140.33.in-addr.arpa
141.33.in-addr.arpa
142.33.in-addr.arpa
143.33.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100001.10001000.00000000.0000000033.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00100001.10001000.00000000.0000000033.136.0.0
Broadcast00100001.10001111.11111111.1111111133.143.255.255
Split into smaller subnets/20

33.136.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
133.136.0.0/2033.136.0.1 to 33.136.15.25433.136.15.2554,094
233.136.16.0/2033.136.16.1 to 33.136.31.25433.136.31.2554,094
333.136.32.0/2033.136.32.1 to 33.136.47.25433.136.47.2554,094
433.136.48.0/2033.136.48.1 to 33.136.63.25433.136.63.2554,094
533.136.64.0/2033.136.64.1 to 33.136.79.25433.136.79.2554,094
633.136.80.0/2033.136.80.1 to 33.136.95.25433.136.95.2554,094
733.136.96.0/2033.136.96.1 to 33.136.111.25433.136.111.2554,094
833.136.112.0/2033.136.112.1 to 33.136.127.25433.136.127.2554,094
933.136.128.0/2033.136.128.1 to 33.136.143.25433.136.143.2554,094
1033.136.144.0/2033.136.144.1 to 33.136.159.25433.136.159.2554,094
1133.136.160.0/2033.136.160.1 to 33.136.175.25433.136.175.2554,094
1233.136.176.0/2033.136.176.1 to 33.136.191.25433.136.191.2554,094
1333.136.192.0/2033.136.192.1 to 33.136.207.25433.136.207.2554,094
1433.136.208.0/2033.136.208.1 to 33.136.223.25433.136.223.2554,094
1533.136.224.0/2033.136.224.1 to 33.136.239.25433.136.239.2554,094
1633.136.240.0/2033.136.240.1 to 33.136.255.25433.136.255.2554,094
1733.137.0.0/2033.137.0.1 to 33.137.15.25433.137.15.2554,094
1833.137.16.0/2033.137.16.1 to 33.137.31.25433.137.31.2554,094
1933.137.32.0/2033.137.32.1 to 33.137.47.25433.137.47.2554,094
2033.137.48.0/2033.137.48.1 to 33.137.63.25433.137.63.2554,094
2133.137.64.0/2033.137.64.1 to 33.137.79.25433.137.79.2554,094
2233.137.80.0/2033.137.80.1 to 33.137.95.25433.137.95.2554,094
2333.137.96.0/2033.137.96.1 to 33.137.111.25433.137.111.2554,094
2433.137.112.0/2033.137.112.1 to 33.137.127.25433.137.127.2554,094
2533.137.128.0/2033.137.128.1 to 33.137.143.25433.137.143.2554,094
2633.137.144.0/2033.137.144.1 to 33.137.159.25433.137.159.2554,094
2733.137.160.0/2033.137.160.1 to 33.137.175.25433.137.175.2554,094
2833.137.176.0/2033.137.176.1 to 33.137.191.25433.137.191.2554,094
2933.137.192.0/2033.137.192.1 to 33.137.207.25433.137.207.2554,094
3033.137.208.0/2033.137.208.1 to 33.137.223.25433.137.223.2554,094
3133.137.224.0/2033.137.224.1 to 33.137.239.25433.137.239.2554,094
3233.137.240.0/2033.137.240.1 to 33.137.255.25433.137.255.2554,094
3333.138.0.0/2033.138.0.1 to 33.138.15.25433.138.15.2554,094
3433.138.16.0/2033.138.16.1 to 33.138.31.25433.138.31.2554,094
3533.138.32.0/2033.138.32.1 to 33.138.47.25433.138.47.2554,094
3633.138.48.0/2033.138.48.1 to 33.138.63.25433.138.63.2554,094
3733.138.64.0/2033.138.64.1 to 33.138.79.25433.138.79.2554,094
3833.138.80.0/2033.138.80.1 to 33.138.95.25433.138.95.2554,094
3933.138.96.0/2033.138.96.1 to 33.138.111.25433.138.111.2554,094
4033.138.112.0/2033.138.112.1 to 33.138.127.25433.138.127.2554,094
4133.138.128.0/2033.138.128.1 to 33.138.143.25433.138.143.2554,094
4233.138.144.0/2033.138.144.1 to 33.138.159.25433.138.159.2554,094
4333.138.160.0/2033.138.160.1 to 33.138.175.25433.138.175.2554,094
4433.138.176.0/2033.138.176.1 to 33.138.191.25433.138.191.2554,094
4533.138.192.0/2033.138.192.1 to 33.138.207.25433.138.207.2554,094
4633.138.208.0/2033.138.208.1 to 33.138.223.25433.138.223.2554,094
4733.138.224.0/2033.138.224.1 to 33.138.239.25433.138.239.2554,094
4833.138.240.0/2033.138.240.1 to 33.138.255.25433.138.255.2554,094
4933.139.0.0/2033.139.0.1 to 33.139.15.25433.139.15.2554,094
5033.139.16.0/2033.139.16.1 to 33.139.31.25433.139.31.2554,094
5133.139.32.0/2033.139.32.1 to 33.139.47.25433.139.47.2554,094
5233.139.48.0/2033.139.48.1 to 33.139.63.25433.139.63.2554,094
5333.139.64.0/2033.139.64.1 to 33.139.79.25433.139.79.2554,094
5433.139.80.0/2033.139.80.1 to 33.139.95.25433.139.95.2554,094
5533.139.96.0/2033.139.96.1 to 33.139.111.25433.139.111.2554,094
5633.139.112.0/2033.139.112.1 to 33.139.127.25433.139.127.2554,094
5733.139.128.0/2033.139.128.1 to 33.139.143.25433.139.143.2554,094
5833.139.144.0/2033.139.144.1 to 33.139.159.25433.139.159.2554,094
5933.139.160.0/2033.139.160.1 to 33.139.175.25433.139.175.2554,094
6033.139.176.0/2033.139.176.1 to 33.139.191.25433.139.191.2554,094
6133.139.192.0/2033.139.192.1 to 33.139.207.25433.139.207.2554,094
6233.139.208.0/2033.139.208.1 to 33.139.223.25433.139.223.2554,094
6333.139.224.0/2033.139.224.1 to 33.139.239.25433.139.239.2554,094
6433.139.240.0/2033.139.240.1 to 33.139.255.25433.139.255.2554,094
6533.140.0.0/2033.140.0.1 to 33.140.15.25433.140.15.2554,094
6633.140.16.0/2033.140.16.1 to 33.140.31.25433.140.31.2554,094
6733.140.32.0/2033.140.32.1 to 33.140.47.25433.140.47.2554,094
6833.140.48.0/2033.140.48.1 to 33.140.63.25433.140.63.2554,094
6933.140.64.0/2033.140.64.1 to 33.140.79.25433.140.79.2554,094
7033.140.80.0/2033.140.80.1 to 33.140.95.25433.140.95.2554,094
7133.140.96.0/2033.140.96.1 to 33.140.111.25433.140.111.2554,094
7233.140.112.0/2033.140.112.1 to 33.140.127.25433.140.127.2554,094
7333.140.128.0/2033.140.128.1 to 33.140.143.25433.140.143.2554,094
7433.140.144.0/2033.140.144.1 to 33.140.159.25433.140.159.2554,094
7533.140.160.0/2033.140.160.1 to 33.140.175.25433.140.175.2554,094
7633.140.176.0/2033.140.176.1 to 33.140.191.25433.140.191.2554,094
7733.140.192.0/2033.140.192.1 to 33.140.207.25433.140.207.2554,094
7833.140.208.0/2033.140.208.1 to 33.140.223.25433.140.223.2554,094
7933.140.224.0/2033.140.224.1 to 33.140.239.25433.140.239.2554,094
8033.140.240.0/2033.140.240.1 to 33.140.255.25433.140.255.2554,094
8133.141.0.0/2033.141.0.1 to 33.141.15.25433.141.15.2554,094
8233.141.16.0/2033.141.16.1 to 33.141.31.25433.141.31.2554,094
8333.141.32.0/2033.141.32.1 to 33.141.47.25433.141.47.2554,094
8433.141.48.0/2033.141.48.1 to 33.141.63.25433.141.63.2554,094
8533.141.64.0/2033.141.64.1 to 33.141.79.25433.141.79.2554,094
8633.141.80.0/2033.141.80.1 to 33.141.95.25433.141.95.2554,094
8733.141.96.0/2033.141.96.1 to 33.141.111.25433.141.111.2554,094
8833.141.112.0/2033.141.112.1 to 33.141.127.25433.141.127.2554,094
8933.141.128.0/2033.141.128.1 to 33.141.143.25433.141.143.2554,094
9033.141.144.0/2033.141.144.1 to 33.141.159.25433.141.159.2554,094
9133.141.160.0/2033.141.160.1 to 33.141.175.25433.141.175.2554,094
9233.141.176.0/2033.141.176.1 to 33.141.191.25433.141.191.2554,094
9333.141.192.0/2033.141.192.1 to 33.141.207.25433.141.207.2554,094
9433.141.208.0/2033.141.208.1 to 33.141.223.25433.141.223.2554,094
9533.141.224.0/2033.141.224.1 to 33.141.239.25433.141.239.2554,094
9633.141.240.0/2033.141.240.1 to 33.141.255.25433.141.255.2554,094
9733.142.0.0/2033.142.0.1 to 33.142.15.25433.142.15.2554,094
9833.142.16.0/2033.142.16.1 to 33.142.31.25433.142.31.2554,094
9933.142.32.0/2033.142.32.1 to 33.142.47.25433.142.47.2554,094
10033.142.48.0/2033.142.48.1 to 33.142.63.25433.142.63.2554,094
10133.142.64.0/2033.142.64.1 to 33.142.79.25433.142.79.2554,094
10233.142.80.0/2033.142.80.1 to 33.142.95.25433.142.95.2554,094
10333.142.96.0/2033.142.96.1 to 33.142.111.25433.142.111.2554,094
10433.142.112.0/2033.142.112.1 to 33.142.127.25433.142.127.2554,094
10533.142.128.0/2033.142.128.1 to 33.142.143.25433.142.143.2554,094
10633.142.144.0/2033.142.144.1 to 33.142.159.25433.142.159.2554,094
10733.142.160.0/2033.142.160.1 to 33.142.175.25433.142.175.2554,094
10833.142.176.0/2033.142.176.1 to 33.142.191.25433.142.191.2554,094
10933.142.192.0/2033.142.192.1 to 33.142.207.25433.142.207.2554,094
11033.142.208.0/2033.142.208.1 to 33.142.223.25433.142.223.2554,094
11133.142.224.0/2033.142.224.1 to 33.142.239.25433.142.239.2554,094
11233.142.240.0/2033.142.240.1 to 33.142.255.25433.142.255.2554,094
11333.143.0.0/2033.143.0.1 to 33.143.15.25433.143.15.2554,094
11433.143.16.0/2033.143.16.1 to 33.143.31.25433.143.31.2554,094
11533.143.32.0/2033.143.32.1 to 33.143.47.25433.143.47.2554,094
11633.143.48.0/2033.143.48.1 to 33.143.63.25433.143.63.2554,094
11733.143.64.0/2033.143.64.1 to 33.143.79.25433.143.79.2554,094
11833.143.80.0/2033.143.80.1 to 33.143.95.25433.143.95.2554,094
11933.143.96.0/2033.143.96.1 to 33.143.111.25433.143.111.2554,094
12033.143.112.0/2033.143.112.1 to 33.143.127.25433.143.127.2554,094
12133.143.128.0/2033.143.128.1 to 33.143.143.25433.143.143.2554,094
12233.143.144.0/2033.143.144.1 to 33.143.159.25433.143.159.2554,094
12333.143.160.0/2033.143.160.1 to 33.143.175.25433.143.175.2554,094
12433.143.176.0/2033.143.176.1 to 33.143.191.25433.143.191.2554,094
12533.143.192.0/2033.143.192.1 to 33.143.207.25433.143.207.2554,094
12633.143.208.0/2033.143.208.1 to 33.143.223.25433.143.223.2554,094
12733.143.224.0/2033.143.224.1 to 33.143.239.25433.143.239.2554,094
12833.143.240.0/2033.143.240.1 to 33.143.255.25433.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses